Classes | Defines | Functions

# translation.h File Reference

## Classes
class | wxTranslations
| This class allows to get translations for strings. More...
class | wxTranslationsLoader
| Abstraction of translations discovery and loading. More...
class | wxFileTranslationsLoader
| Standard wxTranslationsLoader implementation. More...
class | wxResourceTranslationsLoader
| This loader makes it possible to load translations from Windows resources. More...
class | wxMsgCatalog
| Represents a loaded translations message catalog. More...
## Defines
#define | wxPLURAL(string, plural, n)
| This macro is identical to _() but for the plural variant of wxGetTranslation().
#define | wxTRANSLATE(string)
| This macro doesn't do anything in the program code -- it simply expands to the value of its argument.
## Functions
const wxString & | wxGetTranslation (const wxString &string, const wxString &domain=wxEmptyString)
| This function returns the translation of string in the current `locale()`.
const wxString & | wxGetTranslation (const wxString &string, const wxString &plural, unsigned n, const wxString &domain=wxEmptyString)
| This is an overloaded version of wxGetTranslation(const wxString&, const wxString&), please see its documentation for general information.
const wxString & | _ (const wxString &string)
| This macro expands into a call to wxGetTranslation(), so it marks the message for the extraction by `xgettext` just as wxTRANSLATE() does, but also returns the translation of the string for the current locale during execution.

|  | [ top ]